> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflow executions with filtering and pagination



## OpenAPI

````yaml /openapi/workflows.json post /workflows/executions/list
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/executions/list:
    post:
      tags:
        - Workflows
      summary: List workflow executions with filtering and pagination
      operationId: workflows.executions.list
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    workflowId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: Workflow ID
                    triggerType:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Trigger Type
                    entityType:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Entity Type
                    entityId:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Entity ID
                    status:
                      anyOf:
                        - enum:
                            - running
                            - waiting_for_input
                            - completed
                            - errored
                            - timed_out
                            - cancelled
                            - abandoned
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - running
                                - waiting_for_input
                                - completed
                                - errored
                                - timed_out
                                - cancelled
                                - abandoned
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - running
                                  - waiting_for_input
                                  - completed
                                  - errored
                                  - timed_out
                                  - cancelled
                                  - abandoned
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - running
                                  - waiting_for_input
                                  - completed
                                  - errored
                                  - timed_out
                                  - cancelled
                                  - abandoned
                                type: string
                      description: Status
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    initiatedBy:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Initiated By
                sort: {}
                cursor:
                  type: string
                offset:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                limit:
                  type: integer
                  minimum: 1
                  maximum: 200
                  default: 20
                includeTotalCount:
                  type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        organizationId:
                          type: string
                        environment:
                          enum:
                            - test
                            - live
                          type: string
                        workflowId:
                          type: string
                          format: uuid
                        eventId:
                          type: string
                        triggerType:
                          type: string
                        entityType:
                          anyOf:
                            - type: string
                            - type: 'null'
                        entityId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        eventType:
                          anyOf:
                            - type: string
                            - type: 'null'
                        status:
                          enum:
                            - running
                            - waiting_for_input
                            - completed
                            - errored
                            - timed_out
                            - cancelled
                            - abandoned
                          type: string
                        error:
                          anyOf:
                            - type: string
                            - type: 'null'
                        alertIds:
                          type: array
                          items:
                            type: string
                        producedRecords:
                          type: array
                          items:
                            type: object
                            properties:
                              resourceType:
                                type: string
                              id:
                                type: string
                              label:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              parentClientId:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - resourceType
                              - id
                              - label
                          default: []
                        producedFiles:
                          type: array
                          items:
                            type: object
                            properties:
                              fileId:
                                type: string
                              nodeId:
                                type: string
                              columnName:
                                type: string
                              filename:
                                type: string
                              contentType:
                                type: string
                              size:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              kind:
                                enum:
                                  - produced
                                  - trigger_upload
                                type: string
                                default: produced
                              nodeLabel:
                                type: string
                            required:
                              - fileId
                              - nodeId
                              - columnName
                              - filename
                              - contentType
                              - size
                          default: []
                        durationMs:
                          anyOf:
                            - type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            - type: 'null'
                        completedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        inputs:
                          anyOf:
                            - type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                            - type: 'null'
                        resolvedVariables:
                          anyOf:
                            - type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                            - type: 'null'
                        workflowTrace:
                          anyOf:
                            - type: object
                              properties:
                                workflowSnapshot:
                                  type: object
                                  properties:
                                    nodes:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                            minLength: 1
                                          type:
                                            enum:
                                              - trigger.event
                                              - trigger.schedule
                                              - trigger.manual
                                              - trigger.manual_file
                                              - trigger.form_link
                                              - trigger.api
                                              - trigger.workflow_completion
                                              - source.query_transactions
                                              - source.query_clients
                                              - enrich.add_address
                                              - enrich.add_phone
                                              - enrich.add_email
                                              - enrich.add_legal_representative
                                              - enrich.add_controlling_beneficiary
                                              - enrich.add_document
                                              - enrich.add_evidence
                                              - enrich.add_transaction
                                              - enrich.add_bank_account
                                              - enrich.add_client
                                              - enrich.add_exchange_rate
                                              - transform.aggregate
                                              - transform.time_bucket
                                              - transform.window
                                              - transform.set_column
                                              - transform.python
                                              - detect.transaction_volume_anomaly
                                              - detect.transaction_outlier
                                              - detect.structuring
                                              - detect.dormant_account
                                              - combine.merge
                                              - combine.lookup
                                              - condition.filter
                                              - condition.if
                                              - condition.threshold
                                              - condition.time_window
                                              - action.create_alert
                                              - action.create_client_alert
                                              - action.upsert_client
                                              - action.upsert_transaction
                                              - action.upsert_email
                                              - action.upsert_phone
                                              - action.upsert_address
                                              - action.upsert_bank_account
                                              - action.upsert_legal_representative
                                              - action.upsert_controlling_beneficiary
                                              - ai.step
                                              - ocr.extract
                                              - form.otp_verification
                                              - form.choice
                                              - form.user_input
                                              - form.file_input
                                              - form.sign_document
                                              - form.upsert_client
                                              - form.upsert_address
                                              - form.upsert_phone
                                              - form.upsert_email
                                              - form.upsert_bank_account
                                              - form.upsert_legal_representative
                                              - source.get_reference_data
                                              - source.get_custom_reference_data
                                              - risk.calculate_pillar_by_reference
                                              - risk.calculate_pillar_by_expression
                                              - risk.calculate_pillar_by_condition
                                              - risk.save_client_assessment
                                              - risk.save_transaction_assessment
                                            type: string
                                          data:
                                            type: object
                                            propertyNames:
                                              type: string
                                            additionalProperties: {}
                                            default: {}
                                        required:
                                          - id
                                          - type
                                      default: []
                                    edges:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                            minLength: 1
                                          source:
                                            type: string
                                            minLength: 1
                                          target:
                                            type: string
                                            minLength: 1
                                          sourceHandle:
                                            type: string
                                          targetHandle:
                                            type: string
                                          shape:
                                            enum:
                                              - table
                                              - object
                                            type: string
                                        required:
                                          - id
                                          - source
                                          - target
                                      default: []
                                nodeTraces:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      nodeId:
                                        type: string
                                      type:
                                        type: string
                                      durationMs:
                                        type: number
                                      error:
                                        type: string
                                      skipped:
                                        type: boolean
                                      rowCounts:
                                        type: object
                                        propertyNames:
                                          type: string
                                        additionalProperties:
                                          type: number
                                      columns:
                                        type: object
                                        propertyNames:
                                          type: string
                                        additionalProperties:
                                          type: array
                                          items:
                                            type: string
                                      outputs:
                                        type: object
                                        propertyNames:
                                          type: string
                                        additionalProperties:
                                          type: object
                                          properties:
                                            sql:
                                              type: string
                                            params:
                                              type: array
                                              items:
                                                anyOf:
                                                  - {}
                                                  - type: 'null'
                                          required:
                                            - sql
                                    required:
                                      - nodeId
                                      - type
                                      - durationMs
                                durationMs:
                                  type: number
                                error:
                                  type: string
                              required:
                                - workflowSnapshot
                                - nodeTraces
                                - durationMs
                            - type: 'null'
                        warnings:
                          type: array
                          items:
                            type: object
                            properties:
                              kind:
                                type: string
                              nodeId:
                                type: string
                            required:
                              - kind
                            additionalProperties: {}
                          default: []
                        initiatedBy:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: >-
                            User ID that initiated this execution (null for
                            system-triggered runs)
                        createdAt:
                          type: string
                      required:
                        - id
                        - organizationId
                        - environment
                        - workflowId
                        - eventId
                        - triggerType
                        - entityType
                        - entityId
                        - eventType
                        - status
                        - error
                        - alertIds
                        - durationMs
                        - initiatedBy
                        - createdAt
                  pagination:
                    type: object
                    properties:
                      hasMore:
                        type: boolean
                      nextCursor:
                        type: string
                      totalCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - hasMore
                required:
                  - data
                  - pagination
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````